p1
p1x1
p1x2
p1x3
p2
p2x1
p2x2
p2x3
p3
p3x1
p3x2
p3x3

[CS]
p1-CS
p1x1-CS
p1x2-CS
p1x3-CS
p2-CS
p2x1-CS
p2x2-CS
p2x3-CS
p3-CS
p3x1-CS
p3x2-CS
p3x3-CS

[FA]
p1-FA
p1x1-FA
p1x2-FA
p1x3-FA
p2-FA
p2x1-FA
p2x2-FA
p2x3-FA
p3-FA
p3x1-FA
p3x2-FA
p3x3-FA

[ucl]
p1-ucl
p1x1-ucl
p1x2-ucl
p1x3-ucl
p2-ucl
p2x1-ucl
p2x2-ucl
p2x3-ucl
p3-ucl
p3x1-ucl
p3x2-ucl
p3x3-ucl

[uel]
p1-uel
p1x1-uel
p1x2-uel
p1x3-uel
p2-uel
p2x1-uel
p2x2-uel
p2x3-uel
p3-uel
p3x1-uel
p3x2-uel
p3x3-uel
